Last Comment Bug 313044 - [mac] Delete (Backspace)/Shift+Delete as Back/Forward
: [mac] Delete (Backspace)/Shift+Delete as Back/Forward
Status: RESOLVED FIXED
: fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: seamonkey1.0beta
Assigned To: Stefan [:stefanh] (away until May 28)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 12:31 PDT by Stefan [:stefanh] (away until May 28)
Modified: 2008-07-31 04:22 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Delete/Shift+Delete as Back/Fwd (includes Help patch) (1.66 KB, patch)
2005-10-22 05:09 PDT, Stefan [:stefanh] (away until May 28)
neil: review+
neil: superreview+
Details | Diff | Review
New version addressing Neils comments, transferring r/sr (1.76 KB, patch)
2005-10-22 06:56 PDT, Stefan [:stefanh] (away until May 28)
stefanh: review+
stefanh: superreview+
asa: approval1.8rc1+
Details | Diff | Review

Description Stefan [:stefanh] (away until May 28) 2005-10-19 12:31:25 PDT
Once bug 220590 was fixed, SeaMonkey might be the only mac browser that doesn't
uses Delete (Backspace)/Shift+Delete as shortcuts for moving Back/Forward.
Comment 1 Stefan [:stefanh] (away until May 28) 2005-10-22 05:09:37 PDT
Created attachment 200433 [details] [diff] [review]
Delete/Shift+Delete as Back/Fwd (includes Help patch)

I just removed the mac-specific pref. Updated Help, it seems that the "real"
mac shortcuts for this wasn't documented (Cmd+[/], visible in the menu). We
should probaby use <br/> in order to have one shortcut for each line in all the
Help shortcut files. But that has to go in a separate bug (and I doubt it would
be popular if it got in to the branch).
Comment 2 neil@parkwaycc.co.uk 2005-10-22 05:51:56 PDT
Comment on attachment 200433 [details] [diff] [review]
Delete/Shift+Delete as Back/Fwd (includes Help patch)

IIRC Ctrl+[] works on Linux too. Also I think I might prefer it if you leave
Cmd+Arrow listed first.
Comment 3 neil@parkwaycc.co.uk 2005-10-22 05:55:24 PDT
Comment on attachment 200433 [details] [diff] [review]
Delete/Shift+Delete as Back/Fwd (includes Help patch)

IIRC Ctrl+[] works on Linux too. Also I think I might prefer it if you leave
Cmd+Arrow listed first.
Comment 4 Stefan [:stefanh] (away until May 28) 2005-10-22 06:56:50 PDT
Created attachment 200437 [details] [diff] [review]
New version addressing Neils comments, transferring r/sr

Requesting approval 1.8rc1 for a low-risk seamonkey-only change.
Comment 5 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2005-10-22 11:35:33 PDT
Checked in on branch and trunk.

Note You need to log in before you can comment on or make changes to this bug.